
kerio.waw.ui.trafficNatEditor = {

x_m: function(x_n) {
var
x_1qe = x_r.x_1qf,
x_1qg = x_r.x_1qh,
x_1qi = 200, x_1b = kerio.lib,
x_1qj = x_1b.x_a1(
{	x_a2: 100,
ja: 110,
nl: 110,
ru: 120
}),
x_1qk = x_1b.x_a1(
{	x_a2: 160,
ru: 180,
pt: 180,
pl: 180,
nl: 180
}),
x_ja = x_1b.x_a1(
{	x_a2: 500,
ru: 630,
nl: 520,
de: 530
}),
x_x = x_1b.x_x,
x_o = (kerio.waw.status.x_p.x_q === x_r.x_s.x_t),
x_2w = x_n + '_',
x_1c, x_1d,
x_16, x_10,
x_1ql,
x_1qm;
x_1d = {
x_5p: x_o,
x_1e: [
{
x_1f: 'x_79',
x_23: x_x('Source NAT', 'trafficNatEditor'),
x_1e: [
{
x_1f: 'x_1q',
x_1j: 'x_1qn',
x_7d: false,
x_1l: true,
x_1s: x_x('Enable source NAT', 'trafficNatEditor'),

x_9t: function(x_1c, x_1q, x_7d) {
x_1c.x_84(['x_1qo'], !x_7d);
} },
{	x_1f: 'x_1g',
x_1j: 'x_1qo',
x_31: true,
x_b2: 1,
x_1e: [
{
x_1f: 'x_9u',
x_1j: 'x_1qp',
x_1l: true,
x_1o: x_1qe.x_1qq,
x_5z: [
{
x_a6: x_x('Default setting (recommended)', 'trafficNatEditor'),
x_1j: x_1qe.x_1qq
},
{
x_a6: x_x('Use specified outgoing inteface', 'trafficNatEditor'),
x_1j: x_1qe.x_1qr
},
{
x_a6: x_x('Use specified IP address', 'trafficNatEditor'),
x_1j: x_1qe.x_wr
}
],
x_a5: 'x_a6',
x_a7: 'x_1j',

x_9t: function(x_1c, x_9u, x_1o) {
var x_1qs = x_1c.x_1em.x_1ql;
x_1c.x_2k(x_1qs.x_1f7, false); x_1c.x_2k(x_1qs[x_1o], true); }
}, {
x_1f: 'x_1g',
x_1j: 'x_1qt',
x_1v: x_1qi,
x_1e: [
{
x_1f: 'x_1i',
x_1l: true,
x_1o: x_x('Kerio WinRoute Firewall will automatically choose the IP address for source NAT depending on the Internet connectivity.', 'trafficNatEditor')
},
{
x_1f: 'x_7a',
x_7b: 'x_1qg',
x_1o: x_1qg.x_1qu,
x_1l: true,
x_b2: 1,
x_1s: x_x('Perform load balancing per host (better compatibility)', 'trafficNatEditor')
},
{
x_1f: 'x_1i',
x_1l: true,
x_b2: 2,
x_1o: x_x('Connections initiated by the same host will always use the same Internet link.', 'trafficNatEditor')
},
{
x_1f: 'x_7a',
x_7b: 'x_1qg',
x_1o: x_1qg.x_1qv,
x_1l: true,
x_b2: 1,
x_1s: x_x('Perform load balancing per connection (better performance)', 'trafficNatEditor')
},
{
x_1f: 'x_1i',
x_1l: true,
x_b2: 2,
x_1o: x_x('Connections initiated by the same host may use different Internet links. While this setting offers better performance you may experience compatibility problems with some applications and web sites.', 'trafficNatEditor')
}
] },
{
x_1f: 'x_1g',
x_1j: 'x_1qw',
x_1m: true,
x_1v: x_1qi,
x_1e: [
{
x_1f: 'x_1i',
x_1l: true,
x_1o: x_x('Kerio WinRoute Firewall will use IP address of the following specified interface for source NAT.', 'trafficNatEditor')
},
{
x_1f: 'x_9u',
x_1j: 'x_1qx',
x_23: x_x('Interface:', 'trafficNatEditor'),
x_b2: 1,
x_5z: [], x_a5: 'x_a6',
x_a7: 'x_1j'
},
{
x_1f: 'x_1q',
x_1j: 'x_1qy',
x_1l: true,
x_b2: 1,
x_1s: x_x('Allow using of a different interface if this one becomes unavailable', 'trafficNatEditor')
}
] },
{
x_1f: 'x_1g',
x_1j: 'x_1qz',
x_1m: true,
x_1v: x_1qi,
x_1e: [
{
x_1f: 'x_1i',
x_1l: true,
x_1o: x_x('Kerio WinRoute Firewall will use the following specified IP address for source NAT.', 'trafficNatEditor')
},
{
x_1j: 'x_1r0',
x_23: x_x('IP Address:', 'ipAddressGroupEditor'),
x_b2: 1,
x_1u: 120,
x_93: 15,
x_b6: {
x_b7: false,
x_nv: 'x_t2'
}
}
] },
{
x_1f: 'x_1q',
x_1j: 'x_1r1',
x_1l: true,
x_1s: x_x('Allow reverse connections from any host (full cone NAT)', 'trafficNatEditor'),

x_9t: function(x_1c, x_1q, x_1o) {
if (x_1o) {
x_1c.x_1r2();
}
}
}
] }
] },
{
x_1f: 'x_79',
x_23: x_x('Destination NAT', 'trafficNatEditor'),
x_1e: [
{
x_1f: 'x_1q',
x_1j: 'x_1r3',
x_7d: false,
x_1l: true,
x_1s: x_x('Enable destination NAT', 'trafficNatEditor'),

x_9t: function(x_1c, x_9u, x_7d) {
x_1c.x_84(['x_1r4'], !x_7d);
} },
{
x_1f: 'x_1g',
x_1j: 'x_1r4',
x_br: x_1qj,
x_31: true,
x_1e: [
{	x_1f: 'x_1g',
x_br: x_1qk,
x_1e: [
{
x_1j: 'x_1r5',
x_23: x_x('Translate to the following host:', 'trafficNatEditor'),
x_b2: 1,
x_ge: true,
x_93: 127,
x_b6: {
x_b7: false,
x_nv: 'x_nw'
}
}
]
},
{
x_1f: 'x_1q',
x_1j: 'x_1r6',
x_b2: 1,
x_1l: true,
x_1s: x_x('Translate port as well', 'trafficNatEditor'),

x_9t: function(x_1c, x_9u, x_7d) {
x_1c.x_84(['x_1r7'], !x_7d);
} },
{
x_1f: 'x_b4',
x_1j: 'x_1r7',
x_23: x_x('Translate port to:', 'trafficNatEditor'),
x_31: true,
x_b2: 2,
x_1u: 50,
x_93: 5,
x_r9: 1,
x_b5: 65535,
x_b6: {
x_b7: false
}
}
] }
] }
] }; x_1c = new x_1b.x_1t(x_2w + 'x_1c', x_1d);
x_10 = {
x_1u: x_ja,
x_1v: 545,
x_1y: x_x('Traffic Policy - Translation', 'trafficNatEditor'),
x_1x: x_1c,

x_mc: function(x_32) {
x_32.x_16.x_iy.call(x_32.x_16);
} }; x_10 = new x_fa.x_md(x_10);
x_16 = new x_1b.x_26(x_n, x_10);

x_1ql = {};
x_1ql.x_1f7 = [ 'x_1qt', 'x_1qw', 'x_1qz' ];
x_1ql[x_1qe.x_1qq] = [ 'x_1qt' ];
x_1ql[x_1qe.x_1qr] = [ 'x_1qw' ];
x_1ql[x_1qe.x_wr] = [ 'x_1qz' ];


x_1qm = {
x_1qn: 'enableSourceNat',
x_1qp: 'natMode',
x_1qg: 'balancing',
x_1qy: 'allowFailover',
x_1r0: 'ipAddress',
x_1r1: 'allowReverseConnection',
x_1r3: 'enableDestinationNat',
x_1r5: 'translatedHost',
x_1r7: this.x_1r8,
x_1r6: this.x_1r8,
translatedPort: this.x_1r8 };
x_1c.x_27({
x_o: x_o,
x_1qm: x_fi.x_od(x_1qm, true), x_1em: {
x_1ql: x_1ql
},
x_1r9: false
}); x_16.x_27({
x_1c: x_1c,
x_o5: {}
});
if (x_o) {
x_1c.x_7f();
}
this.x_2a(x_16);
return x_16;
}, 
x_2a: function(x_2b) {

x_2b.x_2c = function(x_28) {
var
x_ye,
x_wu,
x_7h = {},
x_47 = x_28.x_47,
x_1c = this.x_1c,
x_ws = x_r.x_im,
x_1o;
this.x_o5 = x_47;
this.x_5d = x_28.x_5d;
x_7h = x_fi.x_jr(x_47, x_1c.x_1qm);
x_1c.x_1r9 = true; x_1c.x_7k(x_7h);
x_fi.x_ib({
x_ic: 'x_1kq',
x_9u: x_1c.x_29('x_1qx'),
x_1c: x_1c,
x_1o: x_47.natInterface,
x_vf: false
}).x_4y();
x_1c.x_1r9 = false;
}; 
x_2b.x_iy = function() {
var
x_ye,
x_wu,
x_7h,
x_o5 = this.x_o5,
x_1c = this.x_1c,
x_3l = this.x_5d,
x_1o,
x_m8,
x_x = kerio.lib.x_x;
x_m8 = x_1c.x_29('x_1qx').x_gh;
if (x_m8.x_vi()) {
kerio.lib.x_48(
x_x('No available interface', 'trafficNatEditor'),
x_x('There is no interface available. Please choose another NAT mode.', 'trafficNatEditor')
);
this.x_jt();
return;
}
x_o5.natInterface = x_m8.x_2t();
x_7h = x_1c.x_7i(true);
x_fi.x_iq(
x_fi.x_jr(x_7h, x_1c.x_1qm),
x_o5
);
this.x_5d.x_hg();
kerio.waw.status.x_14.x_15(true);
this.x_2r();
}; 
x_2b.x_jo = function() {
this.x_1c.x_2h();
}; 
x_2b.x_1c.x_1r2 = function() {
var
x_1b = kerio.lib,
x_x = x_1b.x_x,
x_v3 = this.x_v3 || {};
if (this.x_1r9) {
return;
}
if (!x_v3.x_1ra) {
x_fi.x_iq(
{
x_1ra: x_x('Full cone NAT', 'trafficNatEditor'),
x_1rb: x_x('It is not recommended to enable full cone NAT unless you are sure what you are doing. By turning it on, you are allowing certain incoming traffic from arbitrary Internet hosts. That may imply a security threat.', 'trafficNatEditor'),
x_1rc: x_x('Are you sure you want to enable full cone NAT?', 'trafficNatEditor')
},
x_v3
);
this.x_v3 = x_v3;
}
x_1b.x_4b(
x_v3.x_1ra,
x_v3.x_1rb + '<br><br>' + '<b>' + x_v3.x_1rc + '</b>',
this.x_1rd,
this
); }; 
x_2b.x_1c.x_1rd = function(x_sm) {
if ('no' === x_sm) {
this.x_7k({
x_1r1: false });
}
}; }, 
x_1r8: function(x_nr, x_1o, x_47) {
switch (x_nr) {
case 'x_1r7':
return {
translatedPort: {
value: x_1o
}
}; case 'x_1r6':
return {
translatedPort: {
enabled: x_1o
}
}; case 'translatedPort':
return {
x_1r6: x_1o.enabled,
x_1r7: x_1o.value
}; default:
return {};
} }}; 